com.sun.jna.platform.win32

## Interface WinNT.LOGICAL_PROCESSOR_RELATIONSHIP

Enclosing interface:
  WinNT

    public static interface WinNT.LOGICAL_PROCESSOR_RELATIONSHIP

Represents the relationship between the processor set identified in the corresponding `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION` or `SYSTEM_LOGICAL_PROCESSOR_INFORMATION_EX` structure.

### Field Summary

Fields
`static int` `RelationAll` On input, retrieves information about all possible relation types.
`static int` `RelationCache` The specified logical processors share a cache.
`static int` `RelationGroup` The specified logical processors share a single processor group.
`static int` `RelationNumaNode` The specified logical processors are part of the same NUMA node.
`static int` `RelationNumaNodeEx` Introduced in TBD - Release Iron.
`static int` `RelationProcessorCore` The specified logical processors share a single processor core.
`static int` `RelationProcessorDie` Upcoming value of this enum added for forward compatibility.
`static int` `RelationProcessorModule` Upcoming value of this enum added for forward compatibility.
`static int` `RelationProcessorPackage` The specified logical processors share a physical package (a single package socketed or soldered onto a motherboard may contain multiple processor cores or threads, each of which is treated as a separate processor by the operating system.)

### Field Detail

#### RelationProcessorCore

    static final int RelationProcessorCore

The specified logical processors share a single processor core.

See Also:
  Constant Field Values

#### RelationNumaNode

    static final int RelationNumaNode

The specified logical processors are part of the same NUMA node.

See Also:
  Constant Field Values

#### RelationCache

    static final int RelationCache

The specified logical processors share a cache.

Not supported until Windows Server 2003 SP1 / Windows XP Professional x64.

See Also:
  Constant Field Values

#### RelationProcessorPackage

    static final int RelationProcessorPackage

The specified logical processors share a physical package (a single package socketed or soldered onto a motherboard may contain multiple processor cores or threads, each of which is treated as a separate processor by the operating system.)

Not supported until Windows Server 2003 SP1 / Windows XP Professional x64.

See Also:
  Constant Field Values

#### RelationGroup

    static final int RelationGroup

The specified logical processors share a single processor group.

Not supported until Windows Server 2008 R2.

See Also:
  Constant Field Values

#### RelationProcessorDie

    static final int RelationProcessorDie

Upcoming value of this enum added for forward compatibility. Documentation will be added when available.

See Also:
  Constant Field Values

#### RelationNumaNodeEx

    static final int RelationNumaNodeEx

Introduced in TBD - Release Iron. Requests that the full affinity be returned. Unlike the other relation types, RelationNumaNodeEx is not used on input. It is simply a request for RelationNumaNode with full group information.

See Also:
  Constant Field Values

#### RelationProcessorModule

    static final int RelationProcessorModule

Upcoming value of this enum added for forward compatibility. Documentation will be added when available.

See Also:
  Constant Field Values

#### RelationAll

    static final int RelationAll

On input, retrieves information about all possible relation types. This value is not used on output.

Not supported until Windows Server 2008 R2.

See Also:
  Constant Field Values

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.